WordPress.org

Ready to get started?Download WordPress

Forums

Something altered my prototype.js file and I had malware (5 posts)

  1. Iva
    Member
    Posted 5 years ago #

    I had malware on my website earlier today. The robot/spammer/hacker did not alter .htaccess or index.php as they normally would, they altered wp-includes/js/prototype.js and added a bunch of lines of code.

    I was wondering if I should report this? The new file, which I have saved, is significantly different than the old one and the computer was reporting 105 pieces of malware. I have searched the forum for this and I found nothing.

  2. whooami
    Member
    Posted 5 years ago #

    you can report it, sure -- but thats not the info they will want or need.

    the end result isnt the important bit of info -- its the point of entry.

    So any log files that might indicate how a file was altered is helpful.

    Keep in mind too, that you indicate youre running 2.6 (in the sidebar, over here-->) -- as thats not the latest version, its hard to say how tenacious anyone is going to be in looking into your particular issue.

    There's an expectation that folks will keep up with upgrades; those that dont obviously take a risk, especially when not upgrading after being informed that the upgrade(s) include 'security fixes'.

  3. Iva
    Member
    Posted 5 years ago #

    I am running 2.6.2. There was no way to select it from the drop-down.

    Also, you just replied to me as if I was someone who had no idea what she was doing and that's what I'm definitely not.

  4. Iva
    Member
    Posted 5 years ago #

    I mean, you just presented the team as some kind of V.I.P. who would not reply to an insignificant small person?! That's not nice.

    I did get help from one of the very important developers in the recent past and he was super-nice; so what you have written is a reply for the sake of replying (and lacking apostrophes as well).

    At the same time, YOUR website is telling me that I'm a spammer, so there goes your level of expertise...

  5. whooami
    Member
    Posted 5 years ago #

    uh, ok.

    1. when you posted, you chose the version not me. see the 2.6 in the sidebar above the tags? Thats you not me. I just see what I see.

    There was no way to select it from the drop-down

    Indeed. I see that. It would be one of those "other" version I guess, where one would need to type it in, I guess.

    if youre not running that exact version, thats awesome. Kudos for you.

    2. I replied to you within the context of your first post. YOU dont mention logs. You mention a file being altered. As I said, thats not going to be the helpful info that they need.

    3.

    you just presented the team as some kind of V.I.P. who would not reply to an insignificant small person?!

    No, I said that they will want more info. and that if youre running an older version, they probably wont be very tenacious about looking into it.

    4. My site is my site, and i block thousands of IPS for various reasons. That you cant view it is of no consequence to me, but thanks for your concern.

    5. apostrophes? Thats funny. I find that people that point out spelling errors and whatnot on forums need to find other things to bicker over, and get a little context.

    This isnt a business letter.

    Have a wonderful day.

Topic Closed

This topic has been closed to new replies.

About this Topic